import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class NotificationSettingDialog extends StatefulWidget {
  @override
  _NotificationSettingDialogState createState() =>
      _NotificationSettingDialogState();
}

class _NotificationSettingDialogState extends State<NotificationSettingDialog> {
  @override
  Widget build(BuildContext context) {
    return _NotificationSettingDialogContainer();
  }
}

class _NotificationSettingDialogContainer extends StatefulWidget {
  @override
  _NotificationSettingDialogContainerState createState() =>
      _NotificationSettingDialogContainerState();
}

class _NotificationSettingDialogContainerState
    extends State<_NotificationSettingDialogContainer> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.transparent,
      body: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Container(
            width: 280,
            // height: 382,
            decoration: BoxDecoration(
              color: Colors.white,
              borderRadius: BorderRadius.circular(10),
              
            ),
            child: Column(
              children: <Widget>[
                ClipRRect(
                  borderRadius: BorderRadius.only(
                      topLeft: Radius.circular(10),
                      topRight: Radius.circular(10)),
                  child: CachedNetworkImage(
                    imageUrl:
                    'https://ss2.bdstatic.com/70cFvnSh_Q1YnxGkpoWK1HF6hhy/it/u=1456601714,1347673110&fm=26&gp=0.jpg',
                  ),
                ),
                Text('开启推送通知'),
              ],
            ),
          ),
          GestureDetector(
            child: Container(
              width: 30,
              height: 30,
              margin: EdgeInsets.only(top: 10),
              decoration: BoxDecoration(
                color: Color(0x70606060),
                borderRadius: BorderRadius.circular(15),
              ),
              child: Center(
                child: Icon(
                  Icons.close,
                  color: Colors.white,
                ),
              ),
            ),
            onTap: () {
              Navigator.pop(context);
            },
          )
        ],
      ),
    );
  }
}
